document.getElementById('calculate').addEventListener('click', function() {
  const amount = parseFloat(document.getElementById('amount').value);
  const duration = parseFloat(document.getElementById('duration').value);
  const rate = parseFloat(document.getElementById('rate').value);

  if (isNaN(amount) || isNaN(duration) || isNaN(rate)) {
    alert('Veuillez remplir tous les champs correctement.');
    return;
  }

  const monthlyRate = rate / 100 / 12;
  const numberOfPayments = duration * 12;

  const monthlyPayment = (amount * monthlyRate) / (1 - Math.pow(1 + monthlyRate, -numberOfPayments));
  const totalCost = monthlyPayment * numberOfPayments;

  document.getElementById('monthlyPayment').textContent = monthlyPayment.toFixed(2);
  document.getElementById('totalCost').textContent = totalCost.toFixed(2);
});